Out-of-bounds Read Affecting glibc-common package, versions <2:2.28-225.0.4.ksplice1.el8_8.6


high

Snyk CVSS

    Attack Complexity High
    Availability High

    Threat Intelligence

    EPSS 0.09% (38th percentile)
Expand this section
NVD
6.5 medium
Expand this section
Red Hat
6.5 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-ORACLE8-GLIBCCOMMON-5954379
  • published 11 Oct 2023
  • disclosed 18 Sep 2023

How to fix?

Upgrade Oracle:8 glibc-common to version 2:2.28-225.0.4.ksplice1.el8_8.6 or higher.
This issue was patched in ELSA-2023-12872.

NVD Description

Note: Versions mentioned in the description apply only to the upstream glibc-common package and not the glibc-common package as distributed by Oracle. See How to fix? for Oracle:8 relevant fixed versions and status.

A flaw was found in glibc. When the getaddrinfo function is called with the AF_UNSPEC address family and the system is configured with no-aaaa mode via /etc/resolv.conf, a DNS response via TCP larger than 2048 bytes can potentially disclose stack contents through the function returned address data, and may cause a crash.